<?php 
/**
 * Exit if accessed directly
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$categories = array();
if(isset($_POST['mwb_wrp_action'])){
	if($_POST['mwb_wrp_action'] == "general"){
		if(isset($_POST['mwb_wrp_product_categories'])){
			$categories = $_POST['mwb_wrp_product_categories'];
		}
		update_option('mwb_wrp_product_categories', $categories);
		$noofdays = $_POST['mwb_wrp_delete_data'];
		update_option('mwb_wrp_delete_data', $noofdays);
	}	
}
$categories = get_option('mwb_wrp_product_categories', false);
$noofdays = get_option('mwb_wrp_delete_data', false);
?>
 
<input name="mwb_wrp_action" value="general" type="hidden">
<table class="form-table">
	<tr>
		<th scope="row">
			<label for="mwb_wrp_product_categories"><?php _e('Trending Categories', 'woocommerce-recommended-product')?></label>
		</th>
		<td>
			<?php 
			$product_cats = get_terms( 'product_cat');
			?>
			<select name="mwb_wrp_product_categories[]" multiple>
				<?php 
				foreach ($product_cats as $product_cat)
				{
					$selected = "";
					$term_id = $product_cat->term_id;
					if(in_array($term_id, $categories)){
						$selected = "selected='selected'";
					}
					?>
					<option <?php echo $selected;?> value="<?php echo $product_cat->term_id;?>"><?php echo $product_cat->name;?></option>
					<?php 
				}
				?>
			</select>
			<i><?php _e('These Trending categories products will shown on recommended product section.', 'woocommerce-recommended-product')?></i>
		</td>
	</tr>
	<tr>
		<th scope="row">
			<label for="mwb_wrp_delete_data"><?php _e('Purge Old Data', 'woocommerce-recommended-product')?></label>
		</th>
		<td>
			<input type="number" name="mwb_wrp_delete_data" min="0" value="<?php echo $noofdays;?>"><i>(<?php _e('in Last Days', 'woocommerce-recommended-product');?>)</i>
		</td>
	</tr>
	<tr>
		<th><?php _e('Information', 'woocommerce-recommended-product')?></th>
		<td><?php _e('Use Below Shortcodes', 'woocommerce-recommended-product')?>
			<?php _e('for listing the Recommended Products and use count attribute to limit no. of product to list.', 'woocommerce-recommended-product')?>
			<table class="mwb_wrp_table">
				<thead>
					<th><?php _e('Shortcode', 'woocommerce-recommended-product')?></th>
					<th><?php _e('Description', 'woocommerce-recommended-product')?></th>
				</thead>
				<tbody>
					<tr>
						<th>[mwb_wrp_products count=4]</th>
						<td><?php _e('This shortcode is used to show recommended product which is last viewed by users, related category products of last viewed product which have greater total sales, products which on sale, products which are best selling and product which comes under trending.', 'woocommerce-recommended-product') ?></td>
					</tr>
					<tr>
						<th>[mwb_wrp_category_products count=4]</th>
						<td><?php _e('This shortcode is used to show recommended product which is related category products of last viewed product which have greater total sales.', 'woocommerce-recommended-product') ?></td>
					</tr>
					<tr>
						<th>[mwb_wrp_onsale_products count=4]</th>
						<td><?php _e('This shortcode is used to show recommended product which is related category products of last viewed product which have a greater discount.', 'woocommerce-recommended-product') ?></td>
					</tr>
					<tr>
						<th>[mwb_wrp_products_trending count=4]</th>
						<td><?php _e('This shortcode is used to show recommended product which comes under trending.', 'woocommerce-recommended-product') ?></td>
					</tr>
				</tbody>
			</table>
		</td>
	</tr>
		
</table>
<p class="submit">
	<input name="submit" id="submit" class="button button-primary" value="<?php _e('Save Changes', 'woocommerce-recommended-product')?>" type="submit">
</p>