<?php
/**
 * Exit if accessed directly
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $wpdb;
$table_name = $wpdb->prefix . 'mwb_wpr_data';

$fetchquery = "SELECT SUM(`count`) FROM `$table_name` WHERE `action` IN ('view', 'add_to_cart', 'remove_cart')";
$totalcount = $wpdb->get_var($fetchquery);

$fetchquery = "SELECT count(*) FROM `$table_name` WHERE `status` = 1 AND `action` = 'add_to_cart'";
$orderproductcounts = $wpdb->get_var($fetchquery);


$fetchquery = "SELECT SUM(`count`) FROM `$table_name` WHERE `action` = 'view'";
$viewproductcounts = $wpdb->get_var($fetchquery);


$fetchquery = "SELECT SUM(`count`) FROM `$table_name` WHERE `action` = 'add_to_cart'";
$addcartproductcounts = $wpdb->get_var($fetchquery);


$fetchquery = "SELECT SUM(`count`) FROM `$table_name` WHERE `action` = 'remove_cart' AND `status` = 0";
$removecartproductcounts = $wpdb->get_var($fetchquery);

if($totalcount > 0){
	?>
	<div id="mwb_wrp_piechart"></div>
<?php } ?>	
<div id="mwb_wrp_product_reports">
<?php 
	$viewresults = array();
  	$fetchquery = "SELECT DISTINCT(`productid`) FROM `$table_name` WHERE `action` = 'view'";
  	$viewproducts = $wpdb->get_results($fetchquery, ARRAY_A);
  	if(isset($viewproducts) && !empty($viewproducts)){
		foreach($viewproducts as $viewproduct){
			$productid = $viewproduct['productid'];
			$fetchquery = "SELECT SUM(`count`) FROM `$table_name` WHERE `action` = 'view' AND `productid` = $productid";
			$viewcounts = $wpdb->get_var($fetchquery);
			$viewresults[$productid] = $viewcounts;
		}	
	}		
  	?>
  	<div class="mwb_wrp_reports">
	  	<h2 id="mwb_wrp_product_view_heading"><?php _e("Product Views", "woocommerce-recommended-product");?></h2>
	  	<div id="mwb_wrp_product_view_container" class="mwb_display">
	  	<table id="mwb_wrp_product_view" width="100%" cellspacing="0">
			<thead>
		  		<tr>
			  		<th><?php _e("Image", "woocommerce-recommended-product");?></th>
			  		<th><?php _e("Name", "woocommerce-recommended-product");?></th>
			  		<th><?php _e("Price", "woocommerce-recommended-product");?></th>
			  		<th><?php _e("Views", "woocommerce-recommended-product");?></th>
			  		<th><?php _e("Reduce Price", "woocommerce-recommended-product");?></th>
			  	</tr>
		  	</thead>
		  	<tfoot>
		  		<tr>
		  			<th><?php _e("Image", "woocommerce-recommended-product");?></th>
		  			<th><?php _e("Name", "woocommerce-recommended-product");?></th>
		  			<th><?php _e("Price", "woocommerce-recommended-product");?></th>
		  			<th><?php _e("Views", "woocommerce-recommended-product");?></th>
		  			<th><?php _e("Reduce Price", "woocommerce-recommended-product");?></th>
		  		</tr>
		  	</tfoot>	
		  	<tbody>
		  	<?php 
		  	foreach($viewresults as $key => $value)
			{
				$product = wc_get_product($key);
				$title = $product->get_title();
				$price = $product->get_price_html();
				$image = $product->get_image();
				?>	
				<tr>
					<td class="mwb_wrp_image"><?php echo $image;?></td>
					<td><?php echo $title;?></td>
					<td><?php echo $price;?></td>
					<td><?php echo $value;?></td>
					<td>
						<input type="text" class="mwb_wrp_price">
						<input type="button" class="button mwb_wrp_set_price" data-id="<?php echo $key;?>" value="<?php _e('Apply', "woocommerce-recommended-product")?>">
					</td>
				</tr>
				<?php 
			}	
		  	?>	
		  	</tbody>
		</table>
		</div>
	</div>	
  	<?php 
  	$viewresults = array();
  	$fetchquery = "SELECT DISTINCT(`productid`) FROM `$table_name` WHERE `action` = 'add_to_cart'";
  	$viewproducts = $wpdb->get_results($fetchquery, ARRAY_A);
  	if(isset($viewproducts) && !empty($viewproducts)){
		foreach($viewproducts as $viewproduct){
			$productid = $viewproduct['productid'];
			$fetchquery = "SELECT SUM(`count`) FROM `$table_name` WHERE `action` = 'add_to_cart' AND `productid` = $productid";
			$viewcounts = $wpdb->get_var($fetchquery);
			$viewresults[$productid] = $viewcounts;
		}	
	}		
  	?>
  	<div class="mwb_wrp_reports">
  	<h2 id="mwb_wrp_add_to_cart_heading"><?php _e("Added To Cart", "woocommerce-recommended-product");?></h2>
  	<div id="mwb_wrp_add_to_cart_container" class="mwb_hide">
  	<table id="mwb_wrp_add_to_cart" width="100%" cellspacing="0">
		<thead>
	  		<tr>
	  			<th><?php _e("Image", "woocommerce-recommended-product");?></th>
  				<th><?php _e("Name", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Price", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Views", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Reduce Price", "woocommerce-recommended-product");?></th>
	  		</tr>
	  	</thead>
	  	<tfoot>
	  		<tr>
	  			<th><?php _e("Image", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Name", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Price", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Views", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Reduce Price", "woocommerce-recommended-product");?></th>
			</tr>
		</tfoot>	
	  	<tbody>
  		<?php 
  		foreach($viewresults as $key => $value)
		{
			$product = wc_get_product($key);
			$title = $product->get_title();
			$price = $product->get_price_html();
			$image = $product->get_image();
			?>	
			<tr>
				<td class="mwb_wrp_image"><?php echo $image?></td>
				<td><?php echo $title;?></td>
				<td><?php echo $price;?></td>
				<td><?php echo $value;?></td>
				<td>
					<input type="text" class="mwb_wrp_price">
					<input type="button" class="button mwb_wrp_set_price" data-id="<?php echo $key;?>" value="<?php _e('Apply', "woocommerce-recommended-product")?>">
				</td>
			</tr>
		<?php 
		}	
  		?>	
  		</tbody>
  	</table>
  	
  	</div>
  	</div>
  	<?php 
  	$viewresults = array();
  	$fetchquery = "SELECT DISTINCT(`productid`) FROM `$table_name` WHERE `action` = 'remove_cart'";
  	$viewproducts = $wpdb->get_results($fetchquery, ARRAY_A);
  	if(isset($viewproducts) && !empty($viewproducts)){
		foreach($viewproducts as $viewproduct){
			$productid = $viewproduct['productid'];
			$fetchquery = "SELECT SUM(`count`) FROM `$table_name` WHERE `action` = 'remove_cart' AND `productid` = $productid";
			$viewcounts = $wpdb->get_var($fetchquery);
			$viewresults[$productid] = $viewcounts;
		}	
	}		
  	?>
  	<div class="mwb_wrp_reports">	
  	<h2 id="mwb_wrp_abundant_cart_heading"><?php _e("Abundant Cart Products", "woocommerce-recommended-product");?></h2>
  	<div id="mwb_wrp_abundant_cart_container" class="mwb_hide">
  	<table id="mwb_wrp_abundant_cart" width="100%" cellspacing="0">
		<thead>
	  		<tr>
	  			<th><?php _e("Image", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Name", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Price", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Views", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Reduce Price", "woocommerce-recommended-product");?></th>
	  		</tr>
	  	</thead>
	  	<tfoot>
	  		<tr>
	  			<th><?php _e("Image", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Name", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Price", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Views", "woocommerce-recommended-product");?></th>
	  			<th><?php _e("Reduce Price", "woocommerce-recommended-product");?></th>
		  	</tr>
	  	</tfoot>	
	  	<tbody>
  		<?php 
	  		foreach($viewresults as $key => $value)
			{
				$product = wc_get_product($key);
				$title = $product->get_title();
				$price = $product->get_price_html();
				$image = $product->get_image();
			?>	
			<tr>
				<td class="mwb_wrp_image"><?php echo $image?></td>
				<td><?php echo $title;?></td>
				<td><?php echo $price;?></td>
				<td><?php echo $value;?></td>
				<td>
					<input type="text" class="mwb_wrp_price">
					<input type="button" class="button mwb_wrp_set_price" data-id="<?php echo $key;?>" value="<?php _e('Apply', "woocommerce-recommended-product")?>">
				</td>
			</tr>
		<?php 
		}	
  		?>	
  		</tbody>
  	</table>
  	</div>
  	</div>
  	<?php 
  		$viewresults = array();
  		$fetchquery = "SELECT DISTINCT(`productid`) FROM `$table_name` WHERE `status` = 1  AND `action` = 'add_to_cart'";
  		$viewproducts = $wpdb->get_results($fetchquery, ARRAY_A);
  		if(isset($viewproducts) && !empty($viewproducts)){
			foreach($viewproducts as $viewproduct){
				$productid = $viewproduct['productid'];
				$fetchquery = "SELECT SUM(`count`) FROM `$table_name` WHERE `status` = 1  AND `action` = 'add_to_cart' AND `productid` = $productid";
				$viewcounts = $wpdb->get_var($fetchquery);
				$viewresults[$productid] = $viewcounts;
				
			}	
		}		
  		?>
  		<div class="mwb_wrp_reports">
  		<h2 id="mwb_wrp_successful_products_heading"><?php _e("Successful Products", "woocommerce-recommended-product");?></h2>
  		<div id="mwb_wrp_successful_products_container" class="mwb_hide">
  		<table id="mwb_wrp_successful_products"  width="100%" cellspacing="0">
	  		<thead>
		  		<tr>
		  			<th><?php _e("Image", "woocommerce-recommended-product");?></th>
  			<th><?php _e("Name", "woocommerce-recommended-product");?></th>
  			<th><?php _e("Price", "woocommerce-recommended-product");?></th>
  			<th><?php _e("Views", "woocommerce-recommended-product");?></th>
  			<th><?php _e("Reduce Price", "woocommerce-recommended-product");?></th>
  		</tr>
  	</thead>
  	<tfoot>
  		<tr>
  			<th><?php _e("Image", "woocommerce-recommended-product");?></th>
  			<th><?php _e("Name", "woocommerce-recommended-product");?></th>
  			<th><?php _e("Price", "woocommerce-recommended-product");?></th>
  			<th><?php _e("Views", "woocommerce-recommended-product");?></th>
  			<th><?php _e("Reduce Price", "woocommerce-recommended-product");?></th>
	  		</tr>
	  	</tfoot>	
	  	<tbody>
  		<?php 
  		foreach($viewresults as $key => $value)
		{
			$product = wc_get_product($key);
			$title = $product->get_title();
			$price = $product->get_price_html();
			$image = $product->get_image();
		?>	
	<tr>
		<td class="mwb_wrp_image"><?php echo $image?></td>
		<td><?php echo $title;?></td>
		<td><?php echo $price;?></td>
		<td><?php echo $value;?></td>
		<td>
			<input type="text" class="mwb_wrp_price">
			<input type="button" class="button mwb_wrp_set_price" data-id="<?php echo $key;?>" value="<?php _e('Apply', "woocommerce-recommended-product")?>">
		</td>
	</tr>
<?php 
		}	
  		?>	
  	</tbody>
  </table>
  </div>
  </div>
</div>	
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
      google.charts.load('current', {'packages':['corechart']});
      google.charts.setOnLoadCallback(drawChart);

      function drawChart() {

        var data = google.visualization.arrayToDataTable([
          ['<?php _e('Report','woocommerce-recommended-product')?>', '<?php _e('Number of Events','woocommerce-recommended-product')?>'],
          ['<?php _e('Order Products','woocommerce-recommended-product')?>', <?php echo intval($orderproductcounts);?>],
          ['<?php _e('View Products','woocommerce-recommended-product')?>', <?php echo intval($viewproductcounts);?>],
          ['<?php _e('Added to Cart','woocommerce-recommended-product')?>', <?php echo intval($addcartproductcounts);?>],
          ['<?php _e('Removed from Cart','woocommerce-recommended-product')?>', <?php echo intval($removecartproductcounts);?>],
        ]);

        var options = {};
		var chart = new google.visualization.PieChart(document.getElementById('mwb_wrp_piechart'));
		chart.draw(data, options);
  }
</script>